Name:           mr
Version:        1.14
Release:        3%{?dist}
Summary:        A multiple repository management tool

Group:          Applications/Internet
License:        GPLv2+
URL:            http://kitenet.net/~joey/code/mr/
#Using the tarball from Debian because upstream is only using a git repo
#at http://git.kitenet.net/?p=mr.git
Source0:        http://ftp.de.debian.org/debian/pool/main/m/mr/%{name}_%{version}.tar.gz
Patch0:         %{name}-man.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl-podlators

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The mr command can checkout, update, or perform other actions on
a set of repositories as if they were one combined respository. It
supports any combination of subversion, git, cvs, mecurial, bzr and
darcs repositories, and support for other revision control systems
can easily be added.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .man

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
for file in mr.1 webcheckout.1; do
    install -Dp -m 0644 $file %{buildroot}%{_mandir}/man1/$file
done
for file in lib/git-fake-bare lib/git-svn lib/unison; do
    install -Dp -m 0644 $file %{buildroot}%{_datadir}/%{name}/$file
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc GPL README TODO mrconfig mrconfig.complex
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Sat Feb 23 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.14-3
- BR updated

* Tue Feb 19 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.14-2
- Bogus date entries fixed

* Sun Feb 17 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.14-1
- Updated to new upstream version 1.14

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Sep 16 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.13-1
- Updated to new upstream version 1.13

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Petr Pisar <ppisar@redhat.com> - 1.12-2
- Perl 5.16 rebuild

* Thu Jun 14 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.12-1
- Updated to new upstream version 1.12

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 1.11-2
- Perl 5.16 rebuild

* Thu Apr 05 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.11-1
- Updated to new upstream version 1.11

* Fri Feb 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.10-1
- Updated to new upstream version 1.10

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 08 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.05-1
- Updated to new upstream version 1.05

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.04-3
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.04-2
- Perl mass rebuild

* Sun Jul 03 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.04-1
- Updated to new upstream version 1.04

* Sun Jun 19 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.03-1
- Updated to new upstream version 1.03

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.02-3
- Perl mass rebuild

* Fri Jun 10 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.02-2
- Perl 5.14 mass rebuild

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.02-1
- Updated to new upstream version 1.02

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.51-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.51-2
- Rebuilt

* Wed Dec 29 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.51-1
- Updated to new upstream version 0.51 

* Tue Nov 02 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.50-1
- Updated to new upstream version 0.50 

* Fri Aug 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.49-1
- Updated to new upstream version 0.49

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.48-2
- Mass rebuild with perl-5.12.0

* Fri Mar 05 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.48-1
- Updated to new upstream version 0.48

* Fri Dec 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.46-1
- Updated to new upstream version 0.46

* Mon Dec 07 2009 Stepan Kasal <skasal@redhat.com> - 0.43-2
- rebuild against perl 5.10.1

* Thu Sep 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.43-1
- Updated to new upstream version 0.43

* Sat Aug 22 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.42-1
- Added new man page
- Updated to new upstream version 0.42

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 05 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.39-1
- Updated to new upstream version 0.39

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.38-1
- Updated to new upstream version 0.38

* Fri Jan 02 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.35-2
- Patch for the man pages

* Sat Dec 27 2008 Fabian Affolter <mail@fabian-affolter.ch> - 0.35-1
- Initial package for Fedora

